from django.urls import path
from django.utils.translation import pgettext_lazy

from .views import (
    GovPlanDetailView,
    GovPlanProposeUpdateView,
    GovPlanSectionDetailView,
    search,
    impress,
    privacy,
    contact,
    about,
    team,
    support,
    mapview,
)

app_name = "govplan"

urlpatterns = [
    path("search/", search, name="search"),
    path("impress", impress, name="impress"),
    path("privacy", privacy, name="privacy"),
    path("contact", contact, name="contact"),
    path("about", about, name="about"),
    path("team", team, name="team"),
    path("support", support, name="support"),
    path("mapview", mapview, name="mapview"),
    path(
        pgettext_lazy("url part", "<slug:gov>/plan/<slug:plan>/"),
        GovPlanDetailView.as_view(),
        name="plan",
    ),
    path(
        pgettext_lazy("url part", "<slug:gov>/plan/<slug:plan>"),
        GovPlanDetailView.as_view(),
    ),
    path(
        pgettext_lazy("url part", "<slug:gov>/plan/<slug:plan>/propose-update/"),
        GovPlanProposeUpdateView.as_view(),
        name="propose_planupdate",
    ),
    path(
        pgettext_lazy("url part", "<slug:gov>/vorhaben/<slug:plan>/entwicklung-melden/"),
        GovPlanProposeUpdateView.as_view(),
        name="propose_planupdate",
    ),
    path(
        pgettext_lazy("url part", "<slug:gov>/vorhaben/<slug:plan>"),
        GovPlanDetailView.as_view(),
    ),
    path(
        pgettext_lazy("url part", "<slug:gov>/<slug:section>/"),
        GovPlanSectionDetailView.as_view(),
        name="section",
    ),
    path(
        pgettext_lazy("url part", "<slug:gov>/<slug:section>"),
        GovPlanSectionDetailView.as_view(),
    ),
]
